/**
 * @license
 * Copyright (c) 2025 Handsoncode. All rights reserved.
 */
import { DependencyGraph } from '../DependencyGraph';
import { InternalScalarValue, RawInterpreterValue, RawNoErrorScalarValue } from '../interpreter/InterpreterValue';
import { SimpleRangeValue } from '../SimpleRangeValue';
import { AdvancedFindOptions, SearchOptions } from './SearchStrategy';
export declare abstract class AdvancedFind {
    protected dependencyGraph: DependencyGraph;
    protected constructor(dependencyGraph: DependencyGraph);
    advancedFind(keyMatcher: (arg: RawInterpreterValue) => boolean, rangeValue: SimpleRangeValue, { returnOccurrence }?: AdvancedFindOptions): number;
    protected basicFind(searchKey: RawNoErrorScalarValue, rangeValue: SimpleRangeValue, searchCoordinate: 'col' | 'row', { ordering, ifNoMatch, returnOccurrence }: SearchOptions): number;
    protected findNormalizedValue(searchKey: RawNoErrorScalarValue, searchArray: InternalScalarValue[], ifNoMatch?: 'returnLowerBound' | 'returnUpperBound' | 'returnNotFound', returnOccurrence?: 'first' | 'last'): number;
}
